NetworkEvents.dataReceived('time_hourglass', event => {
    $Minecraft.getInstance().gameRenderer.displayItemActivation('pasterdream:time_hourglass')
})

NetworkEvents.dataReceived('teleport_effect', event => {
    let player = Client.player
    let viewVector = player.getViewVector(1.0);
    let normalizedVector = normalizeVector(viewVector);
    player.addMotion(
        normalizedVector.x * 4,
        normalizedVector.y * 4,
        normalizedVector.z * 4,
    )
})
NetworkEvents.dataReceived('tui_jin_qi', event => {
    let player = Client.player
    let effectLevel = event.getData().effectLevel
    let viewVector = player.getViewVector(1.0);
    let normalizedVector = normalizeVector(viewVector);
    for (let i = 0; i <= 4; i++) {
        Client.scheduleInTicks(i, () => {
            player.setMotion(
                normalizedVector.x * effectLevel,
                normalizedVector.y * effectLevel,
                normalizedVector.z * effectLevel,
            )
        })
    }
})